{% extends 'base.html.twig' %}

{% block title %}
    Asistencia Aula {{ classRoomId }} - Grupo {{ groupId }}
{% endblock %}

{% block stylesheets %}
    <style>
        table{
            border-collapse: collapse;
        }
        th{
            padding: 15px;
        }
        td{
            border: 1px #ccc solid;
            padding: 10px;
            text-align: center;
        }

    </style>
{% endblock %}

{% block body %}
    <h3>Asistencia Aula {{ classRoomId }} - Grupo {{ groupId }}</h3>
    <table>
        <tr>
            <th>Alumno</th>
            <th>Sesiones</th>
            <th>Presente</th>
            <th>Ausente</th>
            <th>Retraso</th>
            <th>Justificado</th>
            <th>Asistencia</th>
            <th>Horas</th>
            <th>Presentes</th>
            <th>Ausente</th>
            <th>Retraso</th>
            <th>Justificadas</th>
            <th>Faltas</th>
        </tr>
        {% for student in students %}
            {% set sessions = student.attendances|length %}
            {% set attendances = student.attendances|filter(a => a.status == 2)|length %}
            {% set absences = student.attendances|filter(a => a.status == 3)|length %}
            {% set delays = student.attendances|filter(a => a.status == 1)|length %}
            {% set justified = student.attendances|filter(a => a.status == 4)|length %}
        <tr>
            <td>{{ student.name }} {{ student.lastName }}</td>

            <td>{{ sessions }}</td>
            <td>{{ attendances }}</td>
            <td>{{ absences }}</td>
            <td>{{ delays }}</td>
            <td>{{ justified }}</td>
            <td>{{ ((sessions - absences) * 100 / sessions)|round(2) }}</td>

            <td>{{ sessions * 1.5 }}</td>
            <td>{{ attendances * 1.5 }}</td>
            <td>{{ absences * 1.5 }}</td>
            <td>{{ delays * 1.5 }}</td>
            <td>{{ justified * 1.5 }}</td>
            <td>{{ ((absences * 1.5) * 100 / (sessions * 1.5))|round(2) }}</td>
        </tr>
        {% endfor %}
    </table>

{% endblock %}